安装intel fortran compiler10.0.023时总是提示Invalid license file

为当前最终发行版之前的所有版本提供支持
回复
syl
帖子: 10
注册时间: 2007-08-15 20:57
送出感谢: 0
接收感谢: 0

安装intel fortran compiler10.0.023时总是提示Invalid license file

#1

帖子 syl » 2007-08-16 18:24

我的系统是ubuntu7.04 ,想使用ifort编译器。我在intel网站上下载了软件包,网站提供了序列号和license file,我 手动安装。但我在安装的时候,显示如下:

Invalid license file

Please make sure that the file you provided at /opt/intel_fc_10/licenses/NCOM_L_CMP_FOR_NDXX-PDZ64547.lic is a valid license file with active support for the Intel(R) product you are trying to install. If you are installing on a native-language system other than English, please make sure that the full path to the license file uses only English characters.

===============================================================================

Press the <Enter> to continue...
重试过几次,结果都一样,到网上重新下载过新的序列号和license file,结果相同。
我应该怎样解决呢?
谢谢。
头像
roylez
论坛版主
帖子: 1928
注册时间: 2005-10-04 10:59
来自: 上海
送出感谢: 0
接收感谢: 1 次

#2

帖子 roylez » 2007-08-16 18:45

上面提示要你把lisense file拷贝到/opt/intel_fc_10/license/,照做试试。

ifort已经升级了阿?呵呵,我也升级看看。
弄个dropbox空间来备份文件或者做私人代码服务器
配置:[url]git://github.com/roylez/dotfiles.git[/url]
主页:http://roylez.heroku.com
各种稀奇玩意儿:http://dooloo.info
头像
roylez
论坛版主
帖子: 1928
注册时间: 2005-10-04 10:59
来自: 上海
送出感谢: 0
接收感谢: 1 次

#3

帖子 roylez » 2007-08-16 19:17

装上了……

intel的主页改的,还真难找。新版的安装程序里面还有那个RPM_NOT_FOUND=1的问题,不过即使不理会也没什么了。提供了非root安装,很不错。到了选择安装的组件的时候,选项会消失,但是可以猜到一个是ifort一个是idb。

不过我用的debian stable里面没有checkinstall,所以我没有打成deb包。
弄个dropbox空间来备份文件或者做私人代码服务器
配置:[url]git://github.com/roylez/dotfiles.git[/url]
主页:http://roylez.heroku.com
各种稀奇玩意儿:http://dooloo.info
syl
帖子: 10
注册时间: 2007-08-15 20:57
送出感谢: 0
接收感谢: 0

#4

帖子 syl » 2007-08-16 21:20

我是把 license file 考到 这个目录下了。我的机器是组装的,是不是 机器兼容性有问题?
syl
帖子: 10
注册时间: 2007-08-15 20:57
送出感谢: 0
接收感谢: 0

#5

帖子 syl » 2007-08-16 21:21

还是没有装上。
头像
roylez
论坛版主
帖子: 1928
注册时间: 2005-10-04 10:59
来自: 上海
送出感谢: 0
接收感谢: 1 次

#6

帖子 roylez » 2007-08-17 10:02

首先,你下载的是不是“free non-commercial”的版本?

如果上面的没错,到了序列号那一步,自己直接敲入序列号试试。
弄个dropbox空间来备份文件或者做私人代码服务器
配置:[url]git://github.com/roylez/dotfiles.git[/url]
主页:http://roylez.heroku.com
各种稀奇玩意儿:http://dooloo.info
syl
帖子: 10
注册时间: 2007-08-15 20:57
送出感谢: 0
接收感谢: 0

#7

帖子 syl » 2007-08-17 11:17

试过了,没用的,不知什么毛病
syl
帖子: 10
注册时间: 2007-08-15 20:57
送出感谢: 0
接收感谢: 0

#8

帖子 syl » 2007-08-18 9:19

roylez:
问题一直不能解决,可不可以把你的序列号和license file 发给我,我试一试.
我的 e_mail: syl888999@sohu.com.
谢谢.
syl
帖子: 10
注册时间: 2007-08-15 20:57
送出感谢: 0
接收感谢: 0

#9

帖子 syl » 2007-08-18 11:35

我在intel网上获得的序列号和许可证在安装的时候还需要在线激活吗?
头像
roylez
论坛版主
帖子: 1928
注册时间: 2005-10-04 10:59
来自: 上海
送出感谢: 0
接收感谢: 1 次

#10

帖子 roylez » 2007-08-18 12:44

不需要的。
你确定你下载的是free non-commercial version而不是free evaluation version?
弄个dropbox空间来备份文件或者做私人代码服务器
配置:[url]git://github.com/roylez/dotfiles.git[/url]
主页:http://roylez.heroku.com
各种稀奇玩意儿:http://dooloo.info
syl
帖子: 10
注册时间: 2007-08-15 20:57
送出感谢: 0
接收感谢: 0

#11

帖子 syl » 2007-08-18 18:29

我下载的是free non-commercial version,我用 你的序列号和许可证也没安装上.结果和以前一样,提示许可证无效.
syl
帖子: 10
注册时间: 2007-08-15 20:57
送出感谢: 0
接收感谢: 0

#12

帖子 syl » 2007-08-18 18:31

我下载的是free non-commercial version,我用 你的序列号和许可证也没安装上.结果和以前一样,提示许可证无效.
回复

回到 “老旧版本支持”